Subject: RE: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate current search state/mode

From: Drew Adams <[email-masked]>
Date: Thu, 12 May 2022 16:34:06 +0000

> > This request is for a help key, to show the current state/modes of
> > Isearch.  The info shown should include all of the possible toggle
> > states, such as case folding, whitespace folding, regexp/literal, and
> > char folding, as well as indicate the various toggle keys for these.
> 
> I think this sound like it could be vaguely helpful.  I've added Juri
> to the CCs; perhaps he has some comments.
> 
> I think the utility would be pretty marginal, though -- few users alter
> these things dynamically, but go with one single set of states most of
> the time.

Why do you think few users do so?  We've added more
and more such change-state (e.g. toggle) keys over
time.  And we generally try to indicate the current
state (e.g. in the mode-line).

If the state were more visible/available then maybe
more users would "alter these things dynamically"?